Bug 808871 - DVB-S is broken since kernel 3.3
DVB-S is broken since kernel 3.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mauro Carvalho Chehab
Fedora Extras Quality Assurance
:
: 808825 808997 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 07:33 EDT by Marc Muehlfeld
Modified: 2013-07-04 18:59 EDT (History)
12 users (show)

See Also:
Fixed In Version: kernel-2.6.43.2-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 17:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the broken DVB-S (802.66 KB, image/png)
2012-04-01 07:33 EDT, Marc Muehlfeld
no flags Details

  None (edit)
Description Marc Muehlfeld 2012-04-01 07:33:28 EDT
Created attachment 574323 [details]
Screenshot of the broken DVB-S

Description of problem:
Since kernel 3.3, I can't receive DVB-S any more. Video (see screenshot) and Sound is broken. Kernel 3.2.7-1 was the last working one.



Version-Release number of selected component (if applicable):
All fedora kernels later than 3.2.7-1.



How reproducible:
Always.



Steps to Reproduce:
1. Boot a 3.3 kernel or newer.
2. Start watchting TV using a program like Kaffeine.


  
Actual results:
Broken picture and broken sound.



Expected results:
Normal quality of DVB-S.



Additional info:
See LKML: https://lkml.org/lkml/2012/3/19/305 ([PATCH] Fix kernel 3.3 DVB-S support)
Workaround until it is fixed: Boot kernel 3.2.7-1 or older.
Comment 1 Marc Muehlfeld 2012-04-01 07:34:43 EDT
The latest kernel version (3.3.0-8.fc16.i686.PAE) is also having this problem.
Comment 2 Michael Weidner 2012-04-01 15:07:36 EDT
Can confirm this Bug with a DVB-S2 card (Hauppauge Nova HD S2), last working kernel for me is 3.2.10-3.fc16.i686.PAE (Bug exists on 3.3.0-4 and 3.3.0-8).
Comment 3 Nicholas Urfe 2012-04-02 04:28:48 EDT
I also have the same problem, on a 64bit kernel: it worked great up to 3.3.0.
Comment 4 Josh Boyer 2012-04-02 09:45:06 EDT
*** Bug 808825 has been marked as a duplicate of this bug. ***
Comment 5 Jens Neu 2012-04-03 07:54:35 EDT
I can also confirm, also affects Radio over dvb-s (which I use). My Card:

06:01.0 Network controller: Techsan Electronics Co Ltd B2C2 FlexCopII DVB chip / Technisat SkyStar2 DVB card (rev 02)
06:01.0 0280: 13d0:2103 (rev 02)
Working Kernel for me is: 3.2.10-3.fc16.x86_64.
Comment 6 Michael Weidner 2012-04-03 14:04:27 EDT
With kernel-PAE-3.3.1-2.fc16.i686.rpm the bug is still there.

04:05.0 Multimedia video controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder (rev 05)
        Subsystem: Hauppauge computer works Inc. Device 6906
        Kernel modules: cx8800
04:05.1 Multimedia controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port] (rev 05)
        Subsystem: Hauppauge computer works Inc. Device 6906
        Kernel modules: cx88-alsa
04:05.2 Multimedia controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] (rev 05)
        Subsystem: Hauppauge computer works Inc. Device 6906
        Kernel modules: cx8802
04:05.4 Multimedia controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [IR Port] (rev 05)
        Subsystem: Hauppauge computer works Inc. Device 6906
Comment 7 Josh Boyer 2012-04-09 09:32:46 EDT
*** Bug 808997 has been marked as a duplicate of this bug. ***
Comment 8 Jens Hektor 2012-04-10 12:39:05 EDT
The patch given at 

http://lkml.org/lkml/2012/3/19/305

indeed fixes it for me.

Went through http://fedoraproject.org/wiki/Building_a_custom_kernel
section "Building Only Kernel Modules"

This was not too hard (well I made my own kernels in the 90's).
Comment 9 Mauro Carvalho Chehab 2012-04-10 13:11:25 EDT
(In reply to comment #8)
> The patch given at 
> 
> http://lkml.org/lkml/2012/3/19/305
> 
> indeed fixes it for me.
> 
> Went through http://fedoraproject.org/wiki/Building_a_custom_kernel
> section "Building Only Kernel Modules"
> 
> This was not too hard (well I made my own kernels in the 90's).

Thanks for testing it! Anyway, I'm building a Fedora test kernel with this fix
applied on it:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=3977370

As I was needing the az6007 driver in order to test it locally, I decided to apply not only the fixes, but also to upgrade the media drivers to match what will be there for Kernel 3.4, plus a new driver for 3.5 (af9035 driver), and the new poll events used by the pwc driver (also patches for 3.5).

After Koji finishes the build, I'll do a local test before moving this BZ to modified.
Comment 10 Mauro Carvalho Chehab 2012-04-10 15:18:28 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > The patch given at 
> > 
> > http://lkml.org/lkml/2012/3/19/305
> > 
> > indeed fixes it for me.
> > 
> > Went through http://fedoraproject.org/wiki/Building_a_custom_kernel
> > section "Building Only Kernel Modules"
> > 
> > This was not too hard (well I made my own kernels in the 90's).
> 
> Thanks for testing it! Anyway, I'm building a Fedora test kernel with this fix
> applied on it:
> 
>    http://koji.fedoraproject.org/koji/taskinfo?taskID=3977370
> 
> As I was needing the az6007 driver in order to test it locally, I decided to
> apply not only the fixes, but also to upgrade the media drivers to match what
> will be there for Kernel 3.4, plus a new driver for 3.5 (af9035 driver), and
> the new poll events used by the pwc driver (also patches for 3.5).
> 
> After Koji finishes the build, I'll do a local test before moving this BZ to
> modified.

Tested the built kernel with xine. It worked as expected.
Comment 11 Nicholas Urfe 2012-04-11 01:52:14 EDT
I too confirm that it works with kernel-3.3.1-5.
Comment 12 Fedora Update System 2012-04-11 12:30:19 EDT
kernel-3.3.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.1-5.fc16
Comment 13 Fedora Update System 2012-04-11 12:32:18 EDT
kernel-3.3.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.1-5.fc17
Comment 14 Fedora Update System 2012-04-11 12:32:45 EDT
kernel-2.6.43.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.1-5.fc15
Comment 15 Fedora Update System 2012-04-11 21:08:57 EDT
Package kernel-3.3.1-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.1-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5701/kernel-3.3.1-5.fc17
then log in and leave karma (feedback).
Comment 16 Jens Hektor 2012-04-13 14:44:17 EDT
I did not install the testing kernel yet but (there is mostly everytime a little"but" ;-) there is one smaller bug left in my modified version.

I am using DVB-S only and everything so long o.k. until I want to switch back from a DVB-S2 (HD-TV) channel back to a DVB-S  (SD-TV) channel.

Then "kaffeine" gets stuck and after a while I get a "read error from:" box.

After that video and audio is dead, EPG works. I can only change back to HD channels, but SD is dead unless I reload my "cx88" kernel module.
Comment 17 Fedora Update System 2012-04-13 17:32:38 EDT
kernel-3.3.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-04-13 20:39:52 EDT
kernel-2.6.43.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.2-2.fc15
Comment 19 Fedora Update System 2012-04-14 00:32:55 EDT
kernel-3.3.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Mauro Carvalho Chehab 2012-04-14 10:22:22 EDT
(In reply to comment #16)
> I did not install the testing kernel yet but (there is mostly everytime a
> little"but" ;-) there is one smaller bug left in my modified version.
> 
> I am using DVB-S only and everything so long o.k. until I want to switch back
> from a DVB-S2 (HD-TV) channel back to a DVB-S  (SD-TV) channel.
> 
> Then "kaffeine" gets stuck and after a while I get a "read error from:" box.
> 
> After that video and audio is dead, EPG works. I can only change back to HD
> channels, but SD is dead unless I reload my "cx88" kernel module.

That sounds to be a different bug. It can either be a bug at Kaffeine or at the Kernel drivers.

Please, open a separate BZ for it, filling it with the Kernel logs. The better is to load dvb-core, cx88 and the frontend drivers with debug enabled (via modprobe parameters).

Also, please try to manually switch back to DVB-S via dvb-fe-tool (part of v4l-utils version 0.8.7).
Comment 21 Dieter Roever 2012-04-15 03:48:34 EDT
I can confirm the problem switching vom DVB-S2 to DVB-S with new Fedora kernel 3.3.1-5.fc16.x86_64. I am using here a TeVii 470 DVB-S2 an kaffeine 1.2.2-1. 

I think, the problem has something to do with kernel changes, as if i boot my system with the older kernel 3.2.9-2.fc16.x86_64 everything is ok.
Comment 22 Marc Muehlfeld 2012-04-15 11:08:12 EDT
kernel-PAE-3.3.1-5.fc16.i686 works fine with my Hauppauge Nova-S Plus. Thanks.
Comment 23 Michael Heijenga 2012-04-18 04:54:14 EDT
Kernel 3.3.1-5.fc16.x86_64 still has problems with 
Pinnacle PCTV Sat Card and Terratec Cinergy S USB Device.

Both working fine with Kernel 3.2.9-2.fc16.x86_64.
Comment 24 Mauro Carvalho Chehab 2012-04-19 08:18:20 EDT
Hi Michael,

(In reply to comment #23)
> Kernel 3.3.1-5.fc16.x86_64 still has problems with 
> Pinnacle PCTV Sat Card and Terratec Cinergy S USB Device.
> 
> Both working fine with Kernel 3.2.9-2.fc16.x86_64.

There is an additional issue when switching back from DVB-S2 to DVB-S.
Please see this BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=812895

There is a test kernel with the patch fixing this bug at:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=4000290

If the Kernel proposed there doesn't fix the issue, then please open a
separate BZ, attaching the frontend logs (see the comments at BZ#812895)
for us to be able to verify what's happening.
Comment 25 Fedora Update System 2012-04-21 12:46:37 EDT
kernel-2.6.43.2-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.2-6.fc15
Comment 26 Fedora Update System 2012-04-25 23:27:53 EDT
kernel-2.6.43.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.